Bug 72699 - "library not found" errors are not shown while using "short compiler output"
Summary: "library not found" errors are not shown while using "short compiler output"
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Output Views (show other bugs)
Version: git master
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KDevelop Developers
URL:
Keywords:
: 72215 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-01-15 16:25 UTC by Sylvain Joyeux
Modified: 2007-01-07 21:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvain Joyeux 2004-01-15 16:25:33 UTC
Version:           unknown (using KDE 3.1.5)
Installed from:     (testing/unstable)
Compiler:          gcc version 3.3.3 20031229 (prerelease) (Debian)
OS:          Linux (i686) release 2.4.23-ck1

While using short and very short compiler output, the linker error
messages saying that a library is not found are filtered out. 


This output 

/bin/sh ../libtool --silent --mode=link --tag=CXX g++ -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -g3 -fno-inline -O0 -g3 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -o kio_apt.la.closure kio_apt_la_closure.lo -avoid-version -module -L/usr/X11R6/lib -L/usr/lib -avoid-version -module -no-undefined -R /usr/lib -R /usr/X11R6/lib aptcache.lo apt.lo regexps.lo dpkg.lo packagemanager.lo rpm.lo ../src/parsers/libparsers.la -lkio  
*/usr/bin/ld: cannot find -lXt 
*collect2: ld returned 1 exit status 
*make[3]: *** [kio_apt.la.closure] Error 1 
*make[3]: Target `all-am' not remade because of errors. 

*make[2]: *** [all-recursive] Error 1 
*make[2]: Target `all' not remade because of errors. 
*make[1]: *** [all-recursive] Error 1 
*make: *** [all] Error 2



is displayed as
 linking kio_apt.la.closure (libtool) 
 **** Exited with status: 2 ***
Comment 1 Sylvain Joyeux 2004-01-15 16:26:52 UTC
This is for CVS 20040106, Norman Jordan's debian packages.
Comment 2 Manuel Fierlbeck 2004-08-09 23:04:51 UTC
I can confirm this bug in kdevelop-3.0.92.
Comment 3 Jens Dagerbo 2006-04-18 22:29:22 UTC
*** Bug 72215 has been marked as a duplicate of this bug. ***
Comment 4 Jens Dagerbo 2007-01-07 21:46:11 UTC
SVN commit 620944 by dagerbo:

Add various common ld and make error strings to the output error parser
Add 'CC' among the possible compilers

BUG: 71299
BUG: 72699
BUG: 131542
BUG: 91520
BUG: 132601


 M  +8 -0      compileerrorfilter.cpp  
 M  +3 -3      makeactionfilter.cpp  


--- branches/kdevelop/3.4/parts/outputviews/compileerrorfilter.cpp #620943:620944
@@ -50,6 +50,13 @@
 		ErrorFormat( "([^: \\t]+)\\(([0-9]+)\\):([^0-9]+)", 1, 2, 3, "intel" ),
 		//libtool link
 		ErrorFormat( "(libtool):( link):( warning): ", 0, 0, 0 ),
+		// ld 
+		ErrorFormat( "undefined reference", 0, 0, 0 ),
+		ErrorFormat( "undefined symbol", 0, 0, 0 ),
+		ErrorFormat( "ld: cannot find", 0, 0, 0 ),
+		ErrorFormat( "No such file", 0, 0, 0 ),
+		// make
+ 		ErrorFormat( "No rule to make target", 0, 0, 0 ),
 		// Fortran
 		ErrorFormat( "\"(.*)\", line ([0-9]+):(.*)", 1, 2, 3 ),
 		// Jade
@@ -65,6 +72,7 @@
 	};
 
 	return formats;
+
 }
 
 void CompileErrorFilter::processLine( const QString& line )
--- branches/kdevelop/3.4/parts/outputviews/makeactionfilter.cpp #620943:620944
@@ -72,9 +72,9 @@
 MakeActionFilter::ActionFormat* MakeActionFilter::actionFormats()
 {
 	static ActionFormat formats[] = {
-		ActionFormat( i18n("compiling"), 1, 2, "(gcc|cc|distcc|c\\+\\+|g\\+\\+)\\S* (?:\\S* )*-c (?:\\S* )*`[^`]*`(?:[^/\\s;]*/)*([^/\\s;]+)"),
-		ActionFormat( i18n("compiling"), 1, 2, "(gcc|cc|distcc|c\\+\\+|g\\+\\+)\\S* (?:\\S* )*-c (?:\\S* )*-o (?:\\S* )(?:[^/;]*/)*([^/\\s;]+)"),
-		ActionFormat( i18n("compiling"), 1, 2, "(gcc|cc|distcc|c\\+\\+|g\\+\\+)\\S* (?:\\S* )*-c (?:\\S* )*(?:[^/]*/)*([^/\\s;]*)"),
+		ActionFormat( i18n("compiling"), 1, 2, "(gcc|CC|cc|distcc|c\\+\\+|g\\+\\+)\\S* (?:\\S* )*-c (?:\\S* )*`[^`]*`(?:[^/\\s;]*/)*([^/\\s;]+)"),
+		ActionFormat( i18n("compiling"), 1, 2, "(gcc|CC|cc|distcc|c\\+\\+|g\\+\\+)\\S* (?:\\S* )*-c (?:\\S* )*-o (?:\\S* )(?:[^/;]*/)*([^/\\s;]+)"),
+		ActionFormat( i18n("compiling"), 1, 2, "(gcc|CC|cc|distcc|c\\+\\+|g\\+\\+)\\S* (?:\\S* )*-c (?:\\S* )*(?:[^/]*/)*([^/\\s;]*)"),
 		ActionFormat( i18n("compiling"), 1, 1, "^compiling (.*)" ), //unsermake
 		ActionFormat( i18n("compiling"), 1, 1, "\\[.+%\\] Building .* object (.*)" ), //cmake